Package org.eclipse.mat.ui.internal.browser

# Class QueryRegistryProvider

java.lang.Object
org.eclipse.mat.ui.internal.browser.QueryBrowserProvider
org.eclipse.mat.ui.internal.browser.QueryRegistryProvider

public class QueryRegistryProvider extends QueryBrowserProvider

## Constructor Summary

Constructors
Constructor
Description
`QueryRegistryProvider(IQueryContext context, CategoryDescriptor c, IPolicy policy)`

## Method Summary

Modifier and Type
Method
Description
`QueryBrowserPopup.Element[]`
`getElements()`
`String`
`getName()`

### Methods inherited from class org.eclipse.mat.ui.internal.browser.QueryBrowserProvider

`getElementsSorted, unsuitableSubjects`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### QueryRegistryProvider

public QueryRegistryProvider(IQueryContext context, CategoryDescriptor c, IPolicy policy)

## Method Details

### getElements

public QueryBrowserPopup.Element[] getElements()

Specified by:
  `getElements` in class `QueryBrowserProvider`

### getName

public String getName()

Specified by:
  `getName` in class `QueryBrowserProvider`